#!/bin/sh
# The next line restarts using nmrWish \
exec nmrWish "$0" -- -notk "$@"

set auto_path   "[split $env(TCLPATH) :] $auto_path"
set ARGV         [concat $argv0 $argv]
set ARGC         [llength $ARGV]


set aName   a.txt
set outName a_norm.txt

getArgD $ARGV -aName aName
getArgD $ARGV -out   outName

#
#-----------------------------------------------------------------------


set aList ""

set nA 0

set error [catch {set aUnit [open $aName r]}]

if {$error} \
   {
    puts stderr "Error opening file $aName"
    exit 1
   }



while {[gets $aUnit line] >= 0} \
   {
    incr nA

    set val [lindex $line 0]
    
    if {![llength $val]} \
       {
        puts stderr "Missing data on line $nB of file $aName"
        exit 1
       }

    lappend aList $val
   }

close $aUnit



if {![strcasecmp $outName None]} \
   {
    set outUnit stdout
   } \
else \
   {
    set error [catch {set outUnit [open $outName w]}]

    if {$error} \
       {
        puts stderr "Error opening output file $outName"
        exit 1
       }
   }

# insert correct number of couplings for division in this loop
for {set i 0} {$i < $nA} {incr i} \
   {
    set a   [lindex $aList $i]
    set norma   [expr {($a)/3}]

    puts $outUnit [format "% 8.3f" $norma]
   }

if {[strcasecmp $outName None]} {close $outUnit}

exit

