#!/bin/sh
# The next line restarts using nmrWish \
exec nmrWish "$0" -- -notk "$@"

gdbInit
gdbCreate dBase

set hName  X 
set vName  Y


set maxcol 3
set maxrow 3

set figcount  0
set rowcount  0


set assList \
   {
        (a)
        (b)
        (c)
        (d)  
        (proj)
         }

set resCount [llength $assList]

for {set i 1} {$i <= $resCount} {incr i} \
      {
    set ass [lindex $assList $i]

 
	drawSettings -reset
	set fname [format "test%d.dat" $i]
	puts "$fname"

	     if {$figcount == 0 && $rowcount == 0} \
		{

# defines box-size 
		set x1  6.8
		set xn  21.5
		set y1  5.8
		set yn  24.2

		
		incr rowcount	

		set plotName grid.ps
		plotOpen -landscape -plotName $plotName -paper A -color
                drawRec -x 0% 100% -y 0% 100% -fg white
		}

	incr figcount

	     if {$figcount > $maxcol} \
		{
		set x1  6.8
		set xn  21.5
		set y1  [expr $y1 + 32.2]
		set yn  [expr $yn + 32.2]
		
		set figcount 1
		incr rowcount	
		}

	puts "$figcount $x1 $xn $y1 $yn"

	readROI -roi 1 -ndim 2 -in $fname -x $hName -y $vName 

	defineCell -cell 1 -x $x1% $xn% -y $y1% $yn%


	drawROI -fhi 1.0 -pHue1 0.69 -pHue2 0.0 -plev 6 -nlev 35 -mult 2.7 -thin -big -bg white  -dashNeg \
		-roi 1 -cell 1 -lwMinus 1.0 -lwPlus 1.0 -axis        Bottom,orig=0.0,end=0.66,lab=R,step=0.66/6,fmt=%.2f,tic=2 Right,orig=-25,end=25,tic=0,step=20,fmt=%.0f,lab=D 

set j [expr $i-1]

set lab [lindex $assList $j]

drawText -y -10% -cell 1 -big -xOff -0.5 -small -text $lab


	set x1  [expr $x1 + 18.2]
	set xn  [expr $xn + 18.2]



      }

plotClose
exit
